Home

# Class goog.structs.AvlTree.Node

Constructs an AVL-Tree node with the specified value. If no parent is specified, the node's parent is assumed to be null. The node's height defaults to 1 and its children default to null.

Instance Method Summary
| `isLeftChild() ⇒ boolean` Returns true iff the specified node has a parent and is the left child of its parent.
| `isRightChild() ⇒ boolean` Returns true iff the specified node has a parent and is the right child of its parent.